/* - Logiciel d'Analyse des spectres EXAFS
   (C) 1997 - 2001, Emmanuel CURIS
   Cration : 15 novembre 2001

   Gestion, recherche des proprits chimiques des atomes
*/

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#include "systeme.h"

#include "atomes.h"
#include "science.h" /* Pour M_PI, si ncessaire */

/* ~~~~~~~~ Variables locales ~~~~~~~~ */

/* ~~~~~~~~ Fonctions locales ~~~~~~~~ */

/* ~~~~~~~~ Ralisation pratique ~~~~~ */

/* Renvoie VRAI si l'lment indiqu est susceptible de former des complexes */

int ZATM_forme_complexes(unsigned int Z)
{
  if ( (Z <= 0) || (Z > URANIUM) )
    return FAUX;

  if ( (Z >= SCANDIUM) && (Z <= ZINC) )
    return VRAI; /* Premire srie d'lments de transition */
  if ( (Z >= YTTRIUM) && (Z <= CADMIUM) )
    return VRAI; /* Seconde srie d'lments de transition */
  if ( (Z >= LANTHANE) && (Z <= MERCURE) )
    return VRAI; /* Troisime srie d'lments de transition + lanthanides */

  /* Question : peut-on considrer les organomtalliques,  base de Pb/Mg/..., comme des complexes ? */
  return FAUX;
}

