/* Test des messages d'alerte sous X
   Nouvelle version
   (C) Emmanuel Curis, novembre 2001
*/

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#include "bib_interface.h"

static const BI_Boite_Alerte err_1ligne_ssparam = {
  0, "Une ligne", "texte d'une ligne sans paramtre / 1 bouton",
  1, 1, 0, {"Suite", NULL, NULL, NULL, NULL}
};

static const BI_Boite_Alerte err_1ligne_avparam = {
  0, "Une ligne", "Une ligne, paramtre nombre : %f / 2 boutons",
  2, 1, 2, {"Suite", "Suite aussi", NULL, NULL, NULL}
};

static const BI_Boite_Alerte err_2lignes_ssparam = {
  0, "Deux lignes", "Texte de deux lignes sans paramtre | Coupure force, 3 boutons",
  3, 1, 3, {"Suite", "Re-suite", "Et encore...", NULL, NULL}
};

static const BI_Boite_Alerte err_2lignes_avparam = {
  0, "Deux lignes", "Texte de deux lignes avec paramtre | Coupure force, 4 boutons - chane %s",
  4, 1, 3, {"Suite", "Re-suite", "Et encore...", "Numro 4", NULL}
};

static const BI_Boite_Alerte err_lignes_avparams = {
  0, "Quatre lignes", "Texte de plusieurs lignes avec paramtres, 5 boutons, coupure automatique. Chane : %s, entier : %d, flottant : %f",
  5, 2, 3, {"Suite", "Re-suite", "Et encore...", "Numro 4", "et le dernier"}
};

static const BI_Boite_Alerte err_flottant = {
  1, "Affichage d'un rel", "Valeur = %f", 1, 1, 0, {"Suite", NULL, NULL, NULL, NULL}
};

int main(void)
{
#ifdef AVEC_DB_MALLOC_
  {
    union dbmalloptarg options;

    options.i = M_HANDLE_ABORT;
    dbmallopt( MALLOC_WARN, &options );
  }
#endif

  BI_Initialiser( NULL, 0, NULL, NULL );

  /* Test sur form_alert */
  form_alert( 1, "[2][---- Quitter ce module ----| "
     "|   Que  faire en quittant ce"
     "|module : effectuer le calcul"
	      "|ou fermer sans calculer ?][Calculer|Fermer|Annuler]" );
  form_alert( 1, "[3][---- Extraction de l'EXAFS ----| "
	      "|    Pas d'absorption atomique"
	      "|dfinie ! La normalisation du"
	      "|signal est impossible.][Continuer]" );

  /* Tests sur les lignes avec/sans coupure automatique & les boutons */
  BI_ERR_alerte(NULL, &err_1ligne_ssparam, VRAI);
  BI_ERR_alerte(NULL, &err_1ligne_avparam, VRAI, 3.14159);
  BI_ERR_alerte(NULL, &err_2lignes_ssparam, VRAI);
  BI_ERR_alerte(NULL, &err_2lignes_avparam, VRAI, "texte");
  printf("Valeur flottante attendue : %f = %g\n", log(3.14159), log(3.14159));
  BI_ERR_alerte(NULL, &err_lignes_avparams, VRAI, "param=texte", -325, log(3.14159));

  /* Tests sur les nombres flottants */
  BI_ERR_alerte(NULL, &err_flottant, VRAI, 0.12345);
  BI_ERR_alerte(NULL, &err_flottant, VRAI, -0.54321);
  BI_ERR_alerte(NULL, &err_flottant, VRAI, 1.0e-3);
  BI_ERR_alerte(NULL, &err_flottant, VRAI, 3.157942897897454);
  BI_ERR_alerte(NULL, &err_flottant, VRAI, 12547.2457);
  BI_ERR_alerte(NULL, &err_flottant, VRAI, 9999.1245);
  BI_ERR_alerte(NULL, &err_flottant, VRAI, -0.000257);
  BI_ERR_alerte(NULL, &err_flottant, VRAI, -12456.1348);

  BI_Terminer();

  return 0;
}
