/* Essai de la bib. X
   (C) 1999, Emmanuel CURIS

   Programme 2 : initialisation, appel du slecteur de fichiers [en sauvegarde puis en chargement]
*/

#include <stdio.h>
#include <stdlib.h>

#include "bib_interface.h"

BI_InfosSelecteur infos = {
  "Tests de slecteur de fichier",
  0,
  NULL,
  0, NULL,
  0, NULL,
  ( void (*)(unsigned int, unsigned int, const char *) ) NULL
};

int main(void)
{
  char *nom_sv, **nom_ch;
  const char *extensions[] = {"*.gif", "*.jpg, *.jpeg", "*.c"};
  int code_erreur;
  unsigned int nbr_fichiers;

  if ( BI_Initialiser( NULL, 0, NULL, NULL ) == FAUX ) {
    (void) fprintf( stderr, "Impossible de dmarrer l'interface\n" );
    return -1;
  }

  /* Appel au slecteur : cas de la sauvegarde */
  infos.titre = "Fichier "a_GRAVE" sauver";
  infos.proprietes = BI_SELECTEUR_AVEC_SAUVEGARDE;
  infos.nbr_filtres = 1;
  infos.filtres = extensions;
  nom_sv = BI_SelecteurSauvegarde( &infos, &code_erreur, NULL );
  if ( nom_sv != NULL ) {
    printf( "Fichier choisi / sauvegarde : %s\n", nom_sv );
    free( nom_sv ); nom_sv = NULL;
  } else
    printf( "Aucun fichier choisi / ERREUR : code %d\n", code_erreur );

  /* Appel au slecteur : cas du chargement */
  nom_ch = CH_selecteur( "*.*", "Fichiers "a_GRAVE" charger", 3,
			 extensions, &nbr_fichiers, NULL );
  if ( ( nom_ch != NULL ) && ( nbr_fichiers >  0 ) ) {
    unsigned int i;

    for ( i = 0 ; i < nbr_fichiers ; i++ ) {
      printf("Fichier "a_GRAVE" charger : %s\n", nom_ch[i]);
      free( nom_ch[i] ); nom_ch[i] = NULL;
    }
    free( nom_ch ); nom_ch = NULL;
  } else
    printf( "Aucun fichier choisi\n" );

  BI_Terminer();
  return 0;
}
