/* Bibliothque X-Window pour les interfaces
   Appel de l'aide en ligne [HTML]
   (C) 2004, Emmanuel CURIS - Cration le 13 mars 2004
*/

#ifndef _POSIX_SOURCE
# define _POSIX_SOURCE /* Pour pouvoir utiliser waitpid() et autres.
			  Indispensable avec HP-Unix, pas sur DEC-Unix */
#endif

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <sys/types.h>
#include <unistd.h>   /* Pour fork, chdir, execl */

#include "bib_interface.h"

/* ~~~~~~~~ Variables locales ~~~~~~~~ */

#ifndef EXECUTABLES
# define EXECUTABLES "/usr/local/bin"
#endif
#define CHEMIN_SCRIPT EXECUTABLES"/lase_doc.sh"

static const BI_Boite_Alerte ERR_AppelAide = {
  ERR_ICONE_STOP,
  "Aide en ligne LASE",
  "Une erreur est survenue en voulant appeler l'aide en ligne (fichier %s).",
  1, 1, 0,
  {"Annuler", NULL, NULL, NULL, NULL}
};

/* ~~~~~~~~ Fonctions locales ~~~~~~~~ */

/* ~~~~~~~~ Ralisation pratique ~~~~~ */

int ARB_AppelerAide(const char *URL_aide)
{
  pid_t num_processus;

  if ( NULL == URL_aide ) return -1; /* Pas d'aide en ligne */

  num_processus = fork(); /* On ddouble */
  if ( 0 == num_processus ) { /* On est dans le processus fils */
    /* On excute le script */
    if ( execl( "/bin/sh", CHEMIN_SCRIPT, CHEMIN_SCRIPT, URL_aide, NULL ) ) { /* La fonction revient : il y a eu une erreur */
      (void) fprintf(stderr, "%s, %s l.%u : ERREUR dans execl()\n",
		     __FILE__, __FUNCTION__, __LINE__);
      /* On ne peut pas faire d'affichage X car processus diffrent */
      exit( -1 ); /* Aucune raison de rester dans le fils... */
    }
  }

  /* Ici, on est dans le processus pre */
  if ( num_processus < 0 ) {
    (void) BI_ERR_alerte( NULL, &ERR_AppelAide, VRAI, URL_aide );
    return -1;
  }

  /* L'appel de l'aide a russi, rien d'autre  faire */
  return 0;
}
