/* Bibliothque X-Window pour les interfaces
            Routines d'accs systme : rcriture du TOS
	    Fichier  inclure
	    Compatible avec gem_gene.c (version GEM : rfrence)
   (C) 1998, Emmanuel CURIS

 26 mars 1998
   * Cration du fichier
*/

#ifndef X_TOS_H_

#define X_TOS_H_ /* Protection contre l'inclusion multiple */

/* ######## Fonctions GEMDOS ######## */

/* -------------- Fonctions de gestion des fichiers --------- */

typedef struct
{
  char            d_reserved[21];
  unsigned char   d_attrib;
  unsigned int    d_time;
  unsigned int    d_date;
  unsigned long   d_length;
  char            d_fname[256]; /* pour tre plus tranquille...*/
} DTA;

#define CONVERT_DTA  (DTA *)

int Fsfirst(char *masque, int attributs);
int Fsnext (void);

DTA *Fgetdta(void);
int  Fsetdta(DTA *dta);

/* -------------- Fonctions de date et d'heure -------------- */

#include <time.h>

typedef struct
{
  unsigned int jour;
  unsigned int mois;
  unsigned int annee;
} Date_Gemdos;

typedef struct
{
  unsigned int seconde;
  unsigned int minute;
  unsigned int heure;
} Heure_Gemdos;

extern const char *_Mois_[]; /* Les noms des mois */

Date_Gemdos  TGetdate(void);
Heure_Gemdos TGettime(void);

#ifndef CLK_TCK
#  ifdef CLOCKS_PER_SEC
#    define CLK_TCK CLOCKS_PER_SEC
#  else
#    define CLK_TCK 1000000 /* clock() renvoie en microsecondes par dfaut */
#  endif
#endif

/* ######## Fonctions BIOS ######## */

#define bios_IMPRIMANTE 0
#define bios_RS_232     1
#define bios_CONSOLE    2
#define bios_MIDI       3
#define bios_IKBD       4
#define bios_ECRAN      5

void  Getmpb  (void *pointeur);
int   Bconstat(int peripherique);
long  Bconin  (int peripherique);
void  Bconout (int peripherique, int car);
long  Rwabs   (int rwflags, void *buffer, int nbr, int depart, int lecteur);
void *Setexec (int numero, void *vecteur);
long  Tickcal (void);
void *Getbpb  (int dev);
long  Bcostat (int peripherique);
long  Mediach (int peripherique);
long  Drvmap  (void);
long  Kbshift (int mode);

/* ######## Fonctions XBIOS ######## */

struct param
{
  char topmode;
  char buttons;
  char xparam;
  char yparam;
  struct extra
  {
    int xmax, ymax;
    int xinitial, yinitial;
  } extra;
};

void Initmous(int type, struct param *parametres, long *vecteur);
long Ssbrk   (int nombre);
long Physbase(void);
long Logbase (void);
int  Getrez  (void);

#endif /* X_TOS_H_ */
