/* LASE - Logiciel d'Analyse des Spectres Expérimentaux
   (C) 1996 - 2006, Emmanuel CURIS
   Création : 2 juillet 2006

   Calculs de probabilité divers

   Calculs autour de la loi F de Fisher-Snedecor
*/

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#ifdef AVEC_GSL_
# include <gsl/gsl_cdf.h>
#endif

#include "systeme.h"

#include "proba.h"

/* ~~~~~~~~ Variables locales ~~~~~~~~ */

/* ~~~~~~~~ Fonctions locales ~~~~~~~~ */

/* -------- Fonction de répartition d'une loi F -------- */

double PROBA_FdR_FisherSnedecor(double x, double ddl_numerateur, double ddl_denominateur)
{
  if ( x < 0.0 ) return 0.0;

#ifdef AVEC_GSL_
  return gsl_cdf_fdist_P( x, ddl_numerateur, ddl_denominateur );
#else
  AVERTISSEMENT( "Calcul de F(%g;%g,%g) impossible sans la GSL", x, ddl_numerateur, ddl_denominateur );
  return -2.0;			/* Valeur absurde pour indiquer que l'on ne sait pas [encore] faire */
#endif
}
