/* Fonctions utilitaires gnrales
   Dveloppes pour LASE, mais plus gnriques
   (C) 1996 - 2004, Emmanuel CURIS

   Calculs mathmatiques sur les nombres complexes
*/

#include <stdio.h>
#include <stdlib.h>
#include <math.h>		/* Pour M_PI */

#include "complexe.h"

#ifndef M_PI_2
# define M_PI_2 1.57079632679489661923
#endif

/* ~~~~~~~~ Dcomposition d'un nombre complexe ~~~~~~~~ */

/* -------- Calcul de l'argument d'un nombre complexe [entre -PI et +PI] -------- */

double CMPL_argument(Complexe z)
{
  if ( 0.0 == z.re ) { /* Imaginaire pur */
    if ( z.im < 0.0 ) {
      return -M_PI_2;
    } else if ( 0.0 == z.im ) {
      /* Par convention, 0 est d'argument 0... */
      return 0.0;
    }

    return M_PI_2;
  }

  /* Calcul dans le cas gnral */
  return atan2( z.im, z.re );
}

double CMPL_module(Complexe z)
{
  double module;

  module = z.re * z.re + z.im * z.im;
  return sqrt( module );
}
