/* Accents au codage UTF-8
   (c) Emmanuel CURIS, 29 avril 2008 par "recode" du fichier latin-1
*/

#ifdef CODAGE_LATIN1_
# error "Impossible de coder en même temps en latin 1 et en UTF-8"
#endif

#ifndef CODAGE_UTF8_		/* Protection contre l'inclusion multiple */
# define CODAGE_UTF8_

# ifdef CODAGE__
#  error "Un codage a déjà été défini, double codage impossible"
# endif
# define CODAGE__

/* -------- Accents -------- */

#define ACCENT_AIGU  "´"
#define ACCENT_GRAVE "`"
#define TREMA        "¨"

/* -------- Lettres latines accentuées -------- */

#define a_AIGU  "á"
#define A_AIGU  "Á"
#define a_CIRC  "â"
#define A_CIRC  "Â"
#define a_GRAVE "à"
#define A_GRAVE "À"
#define a_ROND  "å"
#define A_ROND  "Å"
#define a_TILDE "ã"
#define A_TILDE "Ã"
#define a_TREMA "ä"
#define A_TREMA "Ä"

#define c_AIGU    "ć"
#define C_AIGU    "Ć"
#define c_CEDILLE "ç"
#define C_CEDILLE "Ç"
#define c_CIRC    "ĉ"
#define C_CIRC    "Ĉ"

#define e_AIGU  "é"
#define E_AIGU  "É"
#define e_CIRC  "ê"
#define E_CIRC  "Ê"
#define e_GRAVE "è"
#define E_GRAVE "È"
#define e_TILDE "ẽ"
#define E_TILDE "Ẽ"
#define e_TREMA "ë"
#define E_TREMA "Ë"

#define ESTZET  "ß"
#define Eth     "ð"
#define ETH     "Ð"

#define g_AIGU  "ǵ"
#define G_AIGU  "Ǵ"
#define g_CIRC  "ĝ"
#define G_CIRC  "Ĝ"

#define h_CIRC  "ĥ"
#define H_CIRC  "Ĥ"
#define h_TREMA "ḧ"
#define H_TREMA "Ḧ"

#define i_AIGU  "í"
#define I_AIGU  "Í"
#define i_CIRC  "î"
#define I_CIRC  "Î"
#define i_GRAVE "ì"
#define I_GRAVE "Ì"
#define i_TILDE "ĩ"
#define I_TILDE "Ĩ"
#define i_TREMA "ï"
#define I_TREMA "Ï"

#define j_CIRC  "ĵ"
#define J_CIRC  "Ĵ"

#define k_AIGU  "ḱ"
#define K_AIGU  "Ḱ"

#define l_AIGU  "ĺ"
#define L_AIGU  "Ĺ"

#define LIG_ae      "æ"
#define LIG_AE      "Æ"
#define LIG_ae_AIGU "ǽ"
#define LIG_AE_AIGU "Ǽ"
#define LIG_ij      "ĳ"
#define LIG_IJ      "Ĳ"
#define LIG_oe      "œ"
#define LIG_OE      "Œ"

#define m_AIGU  "ḿ"
#define M_AIGU  "Ḿ"

#define n_AIGU    "ń"
#define N_AIGU    "Ń"
#define n_CEDILLE "ņ"
#define N_CEDILLE "Ņ"
#define n_GRAVE   "ǹ"
#define N_GRAVE   "Ǹ"
#define n_TILDE   "ñ"
#define N_TILDE   "Ñ"
#define n_TREMA   "n̈"
#define N_TREMA   "N̈"

#define o_AIGU  "ó"
#define O_AIGU  "Ó"
#define o_BARRE "ø"
#define O_BARRE "Ø"
#define o_CIRC  "ô"
#define O_CIRC  "Ô"
#define o_GRAVE "ò"
#define O_GRAVE "Ò"
#define o_TILDE "õ"
#define O_TILDE "Õ"
#define o_TREMA "ö"
#define O_TREMA "Ö"

#define p_AIGU  "ṕ"
#define P_AIGU  "Ṕ"

#define r_AIGU  "ŕ"
#define R_AIGU  "Ŕ"

#define s_AIGU  "ś"
#define S_AIGU  "Ś"
#define s_CIRC  "ŝ"
#define S_CIRC  "Ŝ"

#define t_TREMA "ẗ"
#define T_TREMA "¨T"

#define Thorn   "þ"
#define THORN   "Þ"

#define u_AIGU  "ú"
#define U_AIGU  "Ú"
#define u_CIRC  "û"
#define U_CIRC  "Û"
#define u_GRAVE "ù"
#define U_GRAVE "Ù"
#define u_TILDE "ũ"
#define U_TILDE "Ũ"
#define u_TREMA "ü"
#define U_TREMA "Ü"

#define w_AIGU  "ẃ"
#define W_AIGU  "Ẃ"
#define w_CIRC  "ŵ"
#define W_CIRC  "Ŵ"
#define w_TREMA "ẅ"
#define W_TREMA "Ẅ"

#define x_TREMA "ẍ"
#define X_TREMA "Ẍ"

#define y_AIGU  "ý"
#define Y_AIGU  "Ý"
#define y_CIRC  "ŷ"
#define Y_CIRC  "Ŷ"
#define y_GRAVE "ỳ"
#define Y_GRAVE "Ỳ"
#define y_TREMA "ÿ"
#define Y_TREMA "Ÿ"

#define z_AIGU  "ź"
#define Z_AIGU  "Ź"
#define z_CIRC  "ẑ"
#define Z_CIRC  "Ẑ"

/* -------- Alphabet grec --------------------- */

#define ALPHA   "α"
#define BETA    "β"
#define DELTA   "δ"
#define EPSILON "ε"
#define ETA     "η"
#define GAMMA   "γ"
#define IOTA    "ι"
#define KAPPA   "κ"
#define KHI     "χ"
#define KSI     "ξ"
#define LAMBDA  "λ"
#define MU      "μ"
#define NU      "ν"
#define RHO     "ρ"
#define OMEGA   "ω"
#define OMICRON "ο"
#define PI      "π"
#define PHI     "φ"
#define PSI     "ψ"
#define SIGMA   "σ"
#define TAU     "τ"
#define THETA   "θ"
#define UPSILON "υ"
#define ZETA    "ζ"

#define GAMMA_MAJUSCULE "Γ"
#define DELTA_MAJUSCULE "Δ"
#define OMEGA_MAJUSCULE "Ω"
#define PHI_MAJUSCULE   "Φ"
#define SIGMA_MAJUSCULE "Σ"

/* -------- Alphabet hébreu -------- */

#define ALEPH "א"

/* -------- Caractères en exposant ------------ */

#define a_EXPOSANT     "ª"
#define n_EXPOSANT     "ⁿ"
#define o_EXPOSANT     "º"

#define ZERO_EXPOSANT   "⁰"
#define UN_EXPOSANT     "¹"
#define DEUX_EXPOSANT   "²"
#define TROIS_EXPOSANT  "³"
#define QUATRE_EXPOSANT "⁴"
#define CINQ_EXPOSANT   "⁵"
#define SIX_EXPOSANT    "⁶"
#define SEPT_EXPOSANT   "⁷"
#define HUIT_EXPOSANT   "⁸"
#define NEUF_EXPOSANT   "⁹"
#define EGAL_EXPOSANT   "⁼"
#define PLUS_EXPOSANT   "⁺"
#define MOINS_EXPOSANT  "⁻"
#define PARENTHESE_OUVRANTE_EXPOSANT "⁽"
#define PARENTHESE_FERMANTE_EXPOSANT "⁾"

/* -------- Mathématiques --------------------- */

#define DEGRE       "°"
#define DIVISER     "÷"
#define MULTIPLIER  "×"
#define PLUS_MOINS  "±"
#define SIGNE_MOINS "−"

#define EQUIVALENT  "≡"
#define INFERIEUR_EGAL "≤"
#define SUPERIEUR_EGAL "≥"

#define INFINI      "∞"
#define TROIS_QUART "¾"
#define UN_DEMI     "½"
#define UN_QUART    "¼"

#define ET_LOGIQUE  "∧"

#define APPARTIENT   "∈"
#define INTERSECTION "∩"
#define UNION        "∪"

/* -------- Ponctuations étendues ------------- */

#define ESPACE_INSECABLE  " "
#define ESPACE_FINE       " "
#define EXCLAME_INVERSE   "¡"
#define GUILLEMET_FERMANT "»"
#define GUILLEMET_OUVRANT "«"
#define INTERROGE_INVERSE "¿"
#define PARAGRAPHE        "§"
#define POINT_MULTIPLIER  "·"
#define TIRET_CADRATIN    "—"
#define TIRET_CESURE      "­"

/* -------- Symboles de monnaies -------------- */

#define CENT_AMERICAIN "¢"
#define LIVRE_STERLING "£"
#define MONNAIE        "¤"
#define YEN            "¥"

/* -------- Symboles divers ------------------- */

#define OBELE          "†"
#define FIN_LIGNE      "¶"

#define COPYRIGHT      "©"
#define ENREGISTRE     "®"
#define MARQUE_DEPOSEE "™"

/* -------- Unités de mesure ------------------ */

#define ANGSTROM "Å"
#define OHM      "Ω"
#define MICRON   "µ"

#endif	/* CODAGE_UTF8_ */
